# cache:
#   paths:
#     - .m2/

include:
 - project: 'sandlin/gitlab/pipeline-fragments'
   ref: 'tags/dind_19.03.12'
   file: 'dind_service.yml'
 - template: Security/Dependency-Scanning.gitlab-ci.yml  # https://gitlab.com/gitlab-org/gitlab-foss/blob/master/lib/gitlab/ci/templates/Security/Dependency-Scanning.gitlab-ci.yml
 - template: Security/License-Scanning.gitlab-ci.yml  # https://gitlab.com/gitlab-org/gitlab-foss/blob/master/lib/gitlab/ci/templates/Security/License-Scanning.gitlab-ci.yml
 - template: Security/SAST.gitlab-ci.yml  # https://gitlab.com/gitlab-org/gitlab-foss/blob/master/lib/gitlab/ci/templates/Security/SAST.gitlab-ci.yml



services:
  - name: gitlab/gitlab-ce:12.9.2-ce.0
    alias: gitlab-instance

    
variables:
  TRACE: "1"
  CLICOLOR_FORCE: 1
  DOCKER_HOST: tcp://docker:2375
  MAVEN_OPTS: -Dmaven.repo.local=${CI_PROJECT_DIR}/.m2
  GITLAB_OMNIBUS_CONFIG: gitlab_rails['initial_root_password']="password";gitlab_rails['lfs_enabled']=false;
  

stages:
  - test
  - mvn_deploy

mvn_verify:
  stage: test
  extends: .dind_service
  image: maven:3.3.9-jdk-8
  services:
  - name: gitlab/gitlab-ce:latest
    alias: gitlab-instance
  #image: ubuntu:latest
  script:
    - mvn integration-test -B -V -Dmaven.javadoc.skip=true
    #- ./mvnw integration-test -X -B -V -Dmaven.javadoc.skip=true
  allow_failure: true


mvn_deploy:
  stage: mvn_deploy
  extends: .dind_service
  image: maven:3.3.9-jdk-8
  #image: ubuntu:latest
  script:
    - apt-get install gnupg
    #- mvn  -D maven.test.skip=true  deploy -s ci_settings.xml
    - mvn deploy -s ci_settings.xml
    #
    #- ./mvnw -D maven.test.skip=true  deploy -s ci_settings.xml
